# Class Signage#setStudioMode

Signage

- Defined in: signage.js

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| Signage#setStudioMode(successCallback, errorCallback, options) set StudioMode enabled/disabled

## Class Detail

Signage#setStudioMode(successCallback, errorCallback, options)
set StudioMode enabled/disabled

    // Javascript code

    function setStudioMode () {
      var options = {
         enabled : true
      };

      function successCb() {
         // Do something
      }

      function failureCb(cbObject) {
         var errorCode = cbObject.errorCode;
         var errorText = cbObject.errorText;
         console.log ("Error Code [" + errorCode + "]: " + errorText);
      }

      var signage = new Signage();
      signage.setStudioMode(successCb, failureCb, options);
    }

Parameters:
{Function} successCallback
  success callback function.
{Function} errorCallback
  failure callback function.
{Object} options

  Property | Type | Description | Required
  --- | --- | --- | ---
  enabled | Boolean | Intelligent auto is enabled. true: enabled, false: disabled | required

Since:
  1.4
Returns:

  If the method is successfully executed, call the success callback function without a parameter. If an error occurs, failure callback function is called with failure callback object as a parameter.

See:
  Signage.getStudioMode()